/*
 *  This file is part of ixemul.library for the Amiga.
 *  Copyright (C) 1991, 1992  Markus M. Wild
 *  Portions Copyright (C) 1994 Rafael W. Luebbert
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  $Id: smallfuncs.c,v 1.1 1994/06/24 22:10:32 rluebbert Exp $
 *
 *  $Log: smallfuncs.c,v $
 * Revision 1.1  1994/06/24  22:10:32  rluebbert
 * Initial revision
 *
 */

int
chown()
{
  return 0;
}

struct group *
getgrent()
{
  return 0;
}

int
setgrent ()
{
  return 1;
}

void
endgrent ()
{}
int
getgid()
{
  return 0;
}

int
getuid()
{
  return 0;
}

int
getegid()
{
  return 0;
}

int
geteuid()
{
  return 0;
}
int
getppid()
{
  /* all processes have been started by init :-)) */
  return 1;
}
/* not really useful.. but it's there ;-)) */

int
getpagesize()
{
  return 2048;
}
void
initgroups (char *name, int basegid)
{
}

extern char _ctype_[];
extern int sys_nerr;

void
ix_get_vars (char **ctype, int *_sys_nerr)
{
  if (ctype) 		*ctype     = _ctype_;
  if (_sys_nerr)	*_sys_nerr = sys_nerr;
}
int
setgroups (int ngroups, int *gidset)
{
  return (ngroups >= 1) ? 0 : -1;
}
int
setpgrp(int pid, int pgrp)
{
  return pid==pgrp ? 0 : -1;
}
